upnputil.h File Reference
`#include "upnp.h"`
`#include <errno.h>`
Include dependency graph for upnputil.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | IN
#define | OUT
#define | INOUT
#define | GEMD_OUT_OF_MEMORY -1
#define | EVENT_TIMEDOUT -2
#define | EVENT_TERMINATE -3
#define | TRUE 1
#define | FALSE 0
#define | ERROR_BUFFER_LEN (size_t)256
#define | max(a, b) (((a)>(b))? (a):(b))
#define | min(a, b) (((a)<(b))? (a):(b))

## Functions

void | linecopy (char dest[LINE_SIZE], const char *src)
| Copy no of bytes spcified by the LINE_SIZE constant, from the source buffer. Null terminate the destination buffer. More...
void | namecopy (char dest[NAME_SIZE], const char *src)
| Copy no of bytes spcified by the NAME_SIZE constant, from the source buffer. Null terminate the destination buffer. More...
void | linecopylen (char dest[LINE_SIZE], const char *src, size_t srclen)
| Determine if the srclen passed in paramter is less than the permitted LINE_SIZE. If it is use the passed parameter, if not use the permitted LINE_SIZE as the length parameter. More...

## Macro Definition Documentation

## TRUE

#define TRUE 1

boolean type in C.

Referenced by genaUnregisterClient(), isDuplicateAttribute(), ixmlElement_findAttributeNode(), ixmlNode_cloneAttrDirect(), Parser_ElementPrefixDefined(), Parser_hasDefaultNamespace(), Parser_isCharInTable(), Parser_isNameChar(), sock_read(), sock_read_write(), and UpnpEnableWebserver().

## Function Documentation

## linecopy()

void linecopy | ( | char | dest[LINE_SIZE],
|  | const char * | src
| ) |  |

Copy no of bytes spcified by the LINE_SIZE constant, from the source buffer. Null terminate the destination buffer.

Parameters

  [out] | dest | output buffer.
  [in] | src | input buffer.

## linecopylen()

void linecopylen | ( | char | dest[LINE_SIZE],
|  | const char * | src,
|  | size_t | srclen
| ) |  |

Determine if the srclen passed in paramter is less than the permitted LINE_SIZE. If it is use the passed parameter, if not use the permitted LINE_SIZE as the length parameter.

Copy no of bytes spcified by the LINE_SIZE constant, from the source buffer. Null terminate the destination buffer.

Parameters

  [out] | dest | output buffer.
  [in] | src | input buffer.
  [in] | srclen | bytes to be copied.

## namecopy()

void namecopy | ( | char | dest[NAME_SIZE],
|  | const char * | src
| ) |  |

Copy no of bytes spcified by the NAME_SIZE constant, from the source buffer. Null terminate the destination buffer.

Parameters

  [out] | dest | output buffer.
  [in] | src | input buffer.